Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface HttpControl

    public interface HttpControl

Nested Class Summary
`static interface` | `HttpControl.EndPoint`
`static class` | `HttpControl.METHOD`
`static interface` | `HttpControl.MethodType`

Method Summary
`com.bea.wli.control.httpCookies.CookiesDocument` | `getCookies()` Get the cookies
`com.bea.wli.control.httpHeaders.HeadersDocument` | `getResponseHeaders()` Get the response headers
`void` | `setClientSideSSL(String keyStoreType, String keyStoreLocation, String keyStorePassword, String keyPassword)` Sets the Client side SSL properties for the control.
`void` | `setConnectionRetrycount(int retryCount)` Number of times the application will retry for the request.If not specified it will be tried once
`void` | `setConnectionTimeOut(int timeoutInMilliSeconds)` Sets the timeout until a connection is etablished.
`void` | `setCookies(com.bea.wli.control.httpCookies.CookiesDocument cookies)` Set the Cookies
`void` | `setProperties(com.bea.wli.control.dynamicProperties.HttpControlPropertiesDocument propsDoc)` Sets the dynamic properties for the control.
`void` | `setProxyConfig(String host, int port, String userName, String password)` Sets the Proxy server properties for the control.
`void` | `setServerSideSSL(String trustStoreLocation, boolean hostVerificationFlag)` Sets the Server side SSL properties for the control.
`void` | `setTimeout(int socketTimeoutInMilliSeconds)` Sets the timeout until response data is received.

Method Detail

### setProperties

    void setProperties(com.bea.wli.control.dynamicProperties.HttpControlPropertiesDocument propsDoc)
                       throws IllegalArgumentException

  Sets the dynamic properties for the control.

  Parameters:
    `propsDoc` - the dynamic properties for the control.
  Throws:
    `IllegalArgumentException`

### setConnectionTimeOut

    void setConnectionTimeOut(int timeoutInMilliSeconds)
                              throws Exception

  Sets the timeout until a connection is etablished. A timeout value of zero means the timeout is not used. The default value is zero.

  Parameters:
    `timeoutInMilliSeconds` - Connection timeout in milli seconds
  Throws:
    `Exception`

### setTimeout

    void setTimeout(int socketTimeoutInMilliSeconds)
                    throws Exception

  Sets the timeout until response data is received. A timeout value of zero means to wait forever. The default value is zero.

  Parameters:
    `socketTimeoutInMilliSeconds` - SO_TIMEOUT in milliseconds
  Throws:
    `Exception`

### setConnectionRetrycount

    void setConnectionRetrycount(int retryCount)
                                 throws Exception

  Number of times the application will retry for the request.If not specified it will be tried once

  Parameters:
    `retryCount` - Numbers of retry request
  Throws:
    `Exception`

### setCookies

    void setCookies(com.bea.wli.control.httpCookies.CookiesDocument cookies)
                    throws Exception

  Set the Cookies

  Parameters:
    `cookies` - the cookies to be set for the Http request
  Throws:
    `Exception`

### getCookies

    com.bea.wli.control.httpCookies.CookiesDocument getCookies()
                                                               throws Exception

  Get the cookies

  Throws:
    `Exception`

### getResponseHeaders

    com.bea.wli.control.httpHeaders.HeadersDocument getResponseHeaders()
                                                                       throws Exception

  Get the response headers

  Throws:
    `Exception`

### setServerSideSSL

    void setServerSideSSL(String trustStoreLocation,
                          boolean hostVerificationFlag)
                          throws Exception

  Sets the Server side SSL properties for the control.

  Parameters:
    `trustStoreLocation` - the trust store location needs to be specified for one way ssl
    `hostVerificationFlag` - Host Verification Ignored flag.If true, then host name varification will be ignored
  Throws:
    `Exception`

### setProxyConfig

    void setProxyConfig(String host,
                        int port,
                        String userName,
                        String password)
                        throws IllegalArgumentException

  Sets the Proxy server properties for the control.

  Parameters:
    `host` - proxy host name
    `port` - proxy host port
    `userName` - user Name for the connecting to proxy host
    `password` - password for the user connecting to proxy host
  Throws:
    `IllegalArgumentException`

### setClientSideSSL

    void setClientSideSSL(String keyStoreType,
                          String keyStoreLocation,
                          String keyStorePassword,
                          String keyPassword)
                          throws Exception

  Sets the Client side SSL properties for the control.

  Parameters:
    `keyStoreType` - Key Store Type.There are two keystore types(JKS, PKCS12).If user don't give anything, the dafault key store type would be selected
    `keyStoreLocation` - Key Store location needs to be set for two way ssl
    `keyStorePassword` - Key store password needs to be set for two way ssl
    `keyPassword` - Private key password needs to be set for two way ssl
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD